using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    public class ManufactureTreeItem
    {
        public ManufactureTreeItem()
        {
            Brands = new List<BrandTreeItem>();
                }
        [JsonProperty("brands")]
        public List<BrandTreeItem> Brands { get; set; }
    }
    /// <summary>
    ///品牌目录信息
    /// </summary>
    public class BrandTreeItem
    {
        public BrandTreeItem()
        {
            this.Products = new List<ProductTreeItem>();
        }
        [JsonProperty("brandId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("products")]
        public List<ProductTreeItem> Products { get; set; }
    }
    /// <summary>
    /// 产品目录信息
    /// </summary>
    public class ProductTreeItem
    {
        public ProductTreeItem()
        {
            ProductTypes = new List<ProductTypeTreeItem>();
        }
        
           [JsonProperty("productId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        /// <summary>
        /// 种族编码
        /// </summary>
        [JsonProperty("eqFamily")]
        public string FamilyCode { get; set; }
        [JsonProperty("specifications")]
        public  List<ProductTypeTreeItem> ProductTypes { get; set; }
    }
    /// <summary>
    /// 产品信息
    /// </summary>
    public class ProductTypeTreeItem
    {
        [JsonProperty("specificationId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
    }
}
